osm_object_builder.hpp File Reference
`#include <cassert>`
`#include <cstddef>`
`#include <cstring>`
`#include <initializer_list>`
`#include <limits>`
`#include <new>`
`#include <stdexcept>`
`#include <string>`
`#include <utility>`
`#include <osmium/builder/builder.hpp>`
`#include <osmium/osm.hpp>`
`#include <osmium/osm/item_type.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/node_ref.hpp>`
`#include <osmium/osm/object.hpp>`
`#include <osmium/osm/tag.hpp>`
`#include <osmium/osm/types.hpp>`
Include dependency graph for osm_object_builder.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::builder::TagListBuilder
class | osmium::builder::NodeRefListBuilder< T >
class | osmium::builder::RelationMemberListBuilder
class | osmium::builder::ChangesetDiscussionBuilder
class | osmium::builder::OSMObjectBuilder< T >
class | osmium::builder::WayBuilder
class | osmium::builder::AreaBuilder

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::memory
| Memory management of items in buffers and iterators over this data.
| osmium::builder
| Classes for building OSM objects and other items in buffers.

## Typedefs

typedef NodeRefListBuilder< WayNodeList > | osmium::builder::WayNodeListBuilder
typedef NodeRefListBuilder< OuterRing > | osmium::builder::OuterRingBuilder
typedef NodeRefListBuilder< InnerRing > | osmium::builder::InnerRingBuilder
typedef OSMObjectBuilder< osmium::Node > | osmium::builder::NodeBuilder
typedef OSMObjectBuilder< osmium::Relation > | osmium::builder::RelationBuilder
typedef ObjectBuilder< osmium::Changeset > | osmium::builder::ChangesetBuilder